/*
 * Copyright 2006 Phidgets Inc.  All rights reserved.
 */

package com.phidgets.event;

import com.phidgets.Phidget;

public class PHChangeEvent
{
	Phidget source;
	double value;

	public PHChangeEvent(Phidget source, double value) {
		this.source = source;
		this.value = value;
	}

	public Phidget getSource() {
		return source;
	}

	public double getValue() {
		return value;
	}

	public String toString() {
		return source.toString() + " ph changed to "
		  + value;
	}
}
